Get a group of products by ID
curl --request GET \
--url https://api.hubapi.com/crm-objects/v1/change-log/productsimport requests
url = "https://api.hubapi.com/crm-objects/v1/change-log/products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hubapi.com/crm-objects/v1/change-log/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"timestamp": 1525297495553,
"changeType": "CHANGED",
"objectId": 1645187,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"price",
"recurringbillingfrequency"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525297514887,
"changeType": "CHANGED",
"objectId": 1642796,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"content",
"status"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525298220133,
"changeType": "CHANGED",
"objectId": 1688960,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"price",
"name"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525298357009,
"changeType": "CREATED",
"objectId": 1645342,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"name",
"description",
"price",
"recurringbillingfrequency"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
}
]v1
Get a group of products by ID
Create a new product. The request body should be a list of product properties you want to set for the new product, with each entry being the internal name of the property to be set, and the value of that property.
GET
/
crm-objects
/
v1
/
change-log
/
products
Get a group of products by ID
Scope requirements
Scope requirements
レスポンス
200 - application/json
Successful response - Create a new product
The response is of type object.
最終更新日 2026年4月10日
⌘I